## euro-support 1.11

=== manual/Makefile ===
#
# Makefile for the Debian New Maintainers' Guide
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for  package build.

# this can and will be overriden by a higher level makefile
PUBLISHDIR := $(DESTDIR)/usr/share/doc/euro-support/

install: publish
all: sgml html txt ps pdf


# borrowed from the  java-common packages
sgml: debian-euro-support.sgml
debian-euro-support.sgml: 
	(cvs -d :pserver:anonymous@cvs.debian.org:/cvs/debian-doc -z3 checkout -d DOC ddp/manuals.sgml/euro-support/debian-euro-support.sgml; mv DOC/debian-euro-support.sgml .; rm -rf DOC)

# generating HTML
html: debian-euro-support.html/index.html
debian-euro-support.html/index.html: debian-euro-support.sgml
	debiandoc2html -l en $<

# generating plain text
txt text: debian-euro-support.txt

%.txt: %.sgml
	debiandoc2text -l en $<

# generating PostScript
ps: debian-euro-support.ps

%.ps: %.sgml
	debiandoc2latexps  -l en $<

pdf: debian-euro-support.pdf
%.pdf: %.ps
	ps2pdf $< 

# publishing to the DDP web pages
publish: all
	test -d $(PUBLISHDIR)/ || install -d -m 755 $(PUBLISHDIR)/debian-euro-support
	rm -f $(PUBLISHDIR)//*.html
	mkdir $(PUBLISHDIR)//debian-euro-support.html/
	install -p -m 644 *.html/*.html $(PUBLISHDIR)//debian-euro-support.html/
	install -p -m 644 *.{txt,ps,sgml} $(PUBLISHDIR)/

# validating SGML
validate:
	set -x; for i in $(wildcard *.sgml); do nsgmls -ges -wall $$i; done

# cleaning up
clean distclean:
	rm -f *.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,sasp*} *~
	rm -rf *.html 
	rm -f debian-euro-support.sgml 

.PHONY: all publish clean distclean validate

=== debian/changelog ===
euro-support (1.11) unstable; urgency=low

  * Added Debhelp build depends (Closes: #141266)
  * Applied patch for xdpyinf (Closes: #136123)
  * Fixed docbase file (Closes: #137253)
  * Fixed templates file (Closes: #136511)
  * Added russian template file Closes: #137644)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  5 Apr 2002 15:23:46 +0200

euro-support (1.10) unstable; urgency=low

  * Fixed euro-test to work with fonts with spaces in them (Closes: #135100)
  * Fixed euro-test to use xmodmap directly (Closes: #135015)
  * Added french debconf template (Closes: #134628)
  * Added german debconf template (Closes: #133412)
  * Separated template files into different files to allow translators
  to track changes
  * Updated documentation

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 25 Feb 2002 13:34:33 +0100

euro-support (1.9) unstable; urgency=low

  * Fixed euro-test (Closes: #131895)
  * Updated notes regarding KDE (Closes: #125668, #129659)
  * Added note regarding locale definition (Closes: #129617)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon,  4 Feb 2002 12:05:00 +0100

euro-support (1.8) unstable; urgency=low

  * The debconf's note was not being shown due to an error on my behalf

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 15 Jan 2002 18:06:06 +0100

euro-support (1.7) unstable; urgency=low

  * Updated documentation (Closes: #129324)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 15 Jan 2002 09:33:05 +0100

euro-support (1.6) unstable; urgency=low

  * Added support for languages that do not use Altgr+E (untested)
  * Fixed a message in the euro-test script that was still in spanish
  * Added a way in euro-test to determine which Xfree86 version is being
  used and switch from currency to EuroSign

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 12 Jan 2002 20:11:44 +0100

euro-support (1.5) unstable; urgency=high

  * Fixed recommends (ouch!) (Closes: #128513)
  * Updated documentation
  * Changed from currency in Xmodmap to EuroSign which seems to be the proper
  name for Xfree86 4.1

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 11 Jan 2002 10:22:44 +0100

euro-support (1.4) unstable; urgency=low

  * Added a debconf note, and added info to README.Debian. Euro-support
  will not configure a Debian system and it is not intended to (Closes: #127993)
  * Updated the documentation, now refers to language-env (Closes: #127885)
  * Fixed euro-test with patch from Diego Biurrun and changed Recommends:
  (Closes: #127279)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed,  9 Jan 2002 19:04:59 +0100

euro-support (1.3) unstable; urgency=medium

  * Changed printf to /usr/bin/printf as suggested by Gerfried Fuchs
  (Closes: #119254)
  * Updated to euro-howto 0.8 (Closes: #127343, #127341)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  4 Jan 2002 09:16:27 +0100

euro-support (1.2) unstable; urgency=low

  * Added xterm to Recommends (since it's not absolutely needed, cannot
  add x-terminal-emulator since the font definition is term dependant...)
  (Closes: #124124)
  * Added another note for users to read the Manual!

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 20 Dec 2001 09:44:04 +0100

euro-support (1.1) unstable; urgency=high

  * Fixed doc-base file (Closes: #122884)
  * Added a note to the README regarding spanish users (Closes: #122886)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 10 Dec 2001 11:46:11 +0100

euro-support (1.0) unstable; urgency=medium

  * Moved from experimental to unstable
  * Updated Debian Euro HOWTO document
  * (temporarely) removed euro-support-x and euro-support-console since they
  only add dependancies and nothing else (not very useful)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  7 Dec 2001 14:00:45 +0100

euro-support (0.9) experimental; urgency=low

  * Fixed manual Makefile (Closes: #120580)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 26 Nov 2001 09:53:28 +0100

euro-support (0.8) experimental; urgency=low

  * Fixed manual/Makefile so that it removes the SGML document on cleanup
  * Updated to version 0.5 of the HOWTO documentation
  * Added Build-Depends and Depends
  * Fixed euro-test to be sh compliant (Closes: #119254)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 23 Nov 2001 14:17:03 +0100

euro-support (0.7) experimental; urgency=low

  * Document is now retrieved from CVS
  * ... and is now included in the package (Closes: #120580)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 22 Nov 2001 21:58:57 +0100

euro-support (0.6) experimental; urgency=low

  * Changed debian/rules so manpages are installed on only one package 
  (Closes: #119253)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 12 Nov 2001 17:55:42 +0100

euro-support (0.5) experimental; urgency=low

  * Moved to experimental for upload
  * Euro-test not tells user to RTFM
  * Fixed some gettext translations incoherences
  * Added more information to the manual

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  6 Nov 2001 10:13:47 +0100

euro-support (0.4) unstable; urgency=low

  * Fixed typo in description, changed to architecture: all 
  * Added -l en to debiandoc compilation
  * Fixed location of HTML files (made install-docs complain)
  * Removed references to user-es in euro-test

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun,  4 Nov 2001 23:57:55 +0100

euro-support (0.3) unstable; urgency=low

  * Splitte the package into three: one for X and one for console env

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  2 Nov 2001 13:27:46 +0100

euro-support (0.2) unstable; urgency=low

  * Updated the manual with new information and parragraphs
  * Fixed the changelog since it is a Debian-orig package

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 30 Oct 2001 10:25:40 +0100



=== debian/control ===
Source: euro-support
Section: misc
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends: cvs, debiandoc-sgml, debhelper
Standards-Version: 3.0.1

Package: euro-support
Architecture: all
Depends: gettext
Recommends: x-terminal-emulator
Description: Use euro character in your Debian system
 This package provides information on how to use the euro
 character in your Debian GNU/Linux system. Currently there
 is no automatic way to provide such support but configuration
 can be easily done following the guidelines in the 
 "Debian Euro HOWTO" document provided by this package.
 .
 The 'euro-test' script will tell you if your Debian system needs
 configuring in order to display the euro char.

Package: euro-support-x
Architecture: all
Depends: xfonts-base-transcoded, xfonts-75dpi-transcoded | xfonts-100dpi-transcoded, euro-support
Description: Use euro character in your X environment
 This package provides information on how to use the euro
 character in your Debian GNU/Linux system's X environment as well as
 dependancies that assure you have the needed software installed.
 .
 The 'euro-test' script will tell you if your Debian system needs
 configuring in order to display the euro char.

Package: euro-support-console
Architecture: all
Depends: console-data (>= 1999.08.29-11.1) | fonty, euro-support
Description: Use euro character in your console environment
 This package provides information on how to use the euro
 character in your Debian GNU/Linux system's console environment as well as
 dependencies that assure you have the needed software installed.
 .
 The 'euro-test' script will tell you if your Debian system needs
 configuring in order to display the euro char.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples characters
	dh_installmenu
	dh_installmanpages -peuro-support
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## euro-support 1.28

=== debian/changelog ===
euro-support (1.28) unstable; urgency=low

  * Added tetex-bin, tetex-extra, texinfo to the Build-Depends-Indep and
    removed cvs, this should make autobuilders include info, pdfs and
    text versions (Closes: #253666)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 10 Jun 2004 22:11:00 +0200

euro-support (1.27) unstable; urgency=low

  * Added Danish debconf translation provided by Morten Brix Pedersen (Closes:
    #241245)
  * Added German po translation provided by Florian Ernst
    (Closes: #243982)
  * Added Czech debconf translation provided by Miroslav Kure (Closes: #244419)
  * Updated french manpage with patch from  Julien Louis (Closes: #244888)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 25 May 2004 01:08:52 +0200

euro-support (1.26) unstable; urgency=low

  * "The day after the tragedy" release.
    Esta versin est dedicada a todos aquellos que perdieron
    sus vidas o fueron heridos en el brutal atentado terrorista
    en Madrid de ayer. Mis ms sinceras condolencias a sus familias
    y amigos en este triste da.
   (This release is dedicated to all those who lost their lives
    or were injured in the brutal terrorist attack in Madrid
    yesterday. My deepest condolences to their families and friends in
    this sorrowful day.)
  * Fix doc-base file (Closes: #236215)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 12 Mar 2004 09:20:33 +0100

euro-support (1.25) unstable; urgency=low

  * Added new japanese po template provided by Hideki Yamane,
    now with proper encoding (Closes: #235863)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed,  3 Mar 2004 20:22:48 +0100

euro-support (1.24) unstable; urgency=low

  * Updated french and italian translations from my copy of the CVS
  * Added japanese po template provided by  Hideki Yamane (Closes: #229292)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 24 Jan 2004 13:57:46 +0100

euro-support (1.23) unstable; urgency=low

  * Fixed README.Debian file (Closes: #219250) 

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 15 Nov 2003 18:26:36 +0100

euro-support (1.22) unstable; urgency=low

  * Fixed lintian warning (dh_make boilerplate in copyright)
  * Extended copyright to 2003
  * Postinst now loads debconf libraries

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 28 Oct 2003 01:58:05 +0100

euro-support (1.21) unstable; urgency=low

  * Updated Standards-Version
  * Changed short description (Closes: #212971)
  * Added translations for pt and nl contributed by 
   Bruno Rodrigues and Cobaco (Closes: #216262, #216308)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 28 Oct 2003 01:32:40 +0100

euro-support (1.20) unstable; urgency=low

  * Applied patch to use po-debconf and updated french translation
    (Closes: #200118)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 24 Aug 2003 15:01:20 +0200

euro-support (1.19) unstable; urgency=low

  * Fixed the location defined in the doc-base template
    (Closes: #196130, #196128)
  * Added a 'clean' target to the manual/ subdir
  * Fixed the Makefile so CVS access is not mandatory to build
    the package.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  5 Jun 2003 00:48:57 +0200

euro-support (1.18) unstable; urgency=low

  * I forgot to do a 'cvs commit' and thus the 1.17 version of the
    package included the document release 1.1, this version _does_
    include release 1.2 (revision 1.32) which fixes bugs
    #185752 and #185751.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed,  4 Jun 2003 01:16:04 +0200

euro-support (1.17) unstable; urgency=low

  * Updated to the latest version of the euro-support manual
  	- Includes the available translations (Closes: #161804)
        - Fixes the information related to Perl (Closes: #185752)
        - Fixes the information related to mutt (Closes: #185751)
  * Modified the update mechanism so that all the CVS directory for
    the manuals is retrieved, compiled and published.
  * Included the French manpage in the package (Closes: #180251)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed,  4 Jun 2003 00:18:44 +0200

euro-support (1.16) unstable; urgency=low

  * Fixed call to template (Closes: #174758)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed,  1 Jan 2003 15:07:59 +0100

euro-support (1.15) unstable; urgency=low

  * Added Danish translation (Closes: #174733) 
  * Updated manual
  * Spell checked manual pages (Closes: #137460)
  * Added information in the manual related to the 'gb' keyboard, this is an
    Xlib bug see #173777 (Closes: #141175)
  * Fixed Depends: of euro-support it now Recommends: the test programs
    (Closes: #166938)
  * Updated Standards-Version

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 30 Dec 2002 17:47:45 +0100

euro-support (1.14) unstable; urgency=low

  * Fixed lintian errors.
  * Changed Build-Depends to Build-Depends-Indep
  * Fixed typo in description.
  * Added debconf dependency.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 14 May 2002 10:13:12 +0200

euro-support (1.13) unstable; urgency=low

  * Changed the package so that the sgml files is not removed from the
    source package and so that it uses cvs co to update the sources.
    (Closes: #146096

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 13 May 2002 14:17:22 +0200

euro-support (1.12) unstable; urgency=low

  * Updated Standards Version
  * Updated from CVS sources (euro-support version 0.92, revision 1.29)
  * Added information regarding building from source in README.Debian
  * Fixed Build-Depends (Closes: #146096)
  * Added Tgif information to upstream sources (Closes: #1430549)
  * Removed .ex files from sources

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  7 May 2002 10:28:27 +0200

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 	
 	# Add here commands to compile the package.
-	#$(MAKE)
+	$(MAKE) 
 
 	touch build-stamp

## euro-support 1.31

=== po/Makefile ===

DOMAIN=euro-support
all: $(DOMAIN).pot es.mo

es.mo: $(DOMAIN).pot es.po
	./create_mo es

# Since xgettext currently does not work correctly with shell files...
#$(DOMAIN).pot:
#	xgettext --add-comments --force --default-domain=$(DOMAIN) \
#		--output=$(DOMAIN).pot --files-from=POTFILES -C
#	for file in `cat POTFILES`; do ./extract-gettext-sh $$file >>$(DOMAIN).pot; done
# I made it by hand with help of scripts:
$(DOMAIN).pot: $(DOMAIN).1st
	cp $(DOMAIN).1st $(DOMAIN).pot

install: es.mo
	- install -d $(DESTDIR)/usr/share/locale/es/LC_MESSAGES/
	- install -m 644 es.mo $(DESTDIR)/usr/share/locale/es/LC_MESSAGES/$(DOMAIN).mo

clean:
	- rm *.pot
	- rm *.pox
	- rm *.mo

=== manual/DOC/Makefile ===
#
# Makefile for the Securing Debian HOWTO (copied from Makefile.intln)
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for the package build.

##### CONF PART 
# this can and will be overriden by a higher level makefile
PUBLISHDIR := /org/www.debian.org/www/doc/manuals

# Darn, I should have named dir and file the same way
#MANUAL = $(notdir $(shell pwd))
MANUAL = debian-euro-support

# The cannonical language, in which the original document is
ORIG_LANG=en
# list of langs (above the canonical one)
# LANGS=$(shell ls $(MANUAL).*.sgml|sed 's/.*$(MANUAL)\.\([^.]*\)\.sgml/\1/')
#
# Since portuguese is not yet in debiandoc format we cannot publish it until it is
#
LANGS = fr it

EXTS=txt info pdf
##### END OF CONF PART CHANGE THE END AT YOU OWN RISK

# what will be built
HTMLDIRS=$(MANUAL).html $(foreach lang,$(LANGS),$(MANUAL).$(lang).html)
ALLFILES=$(foreach ext,$(EXTS),\
	    $(MANUAL).$(ORIG_LANG).$(ext)\
	    $(foreach lang,$(LANGS),$(MANUAL).$(lang).$(ext))\
	  )


#====[ build rules ]===========================================================
# generate anything some dirs want version.ent to be builded, some not

DEBIAN=$(wildcard debian)
ifeq ($(DEBIAN),"debian")
all: version.ent $(HTMLDIRS) $(ALLFILES)
else
all: $(HTMLDIRS) $(ALLFILES)
endif

version.ent: debian/changelog
	./debian/rules $@

#----[ generating HTML ]-------------------------------------------------------
# for orig_lang
$(MANUAL).html: $(MANUAL).sgml
	debiandoc2html -l $(ORIG_LANG) -c $<

# for translated languages
# FIXME: there is a trick because debiandoc2html does a sed 'y/.../...' 
#        which should be reverted to have the content negociation working.
#   This trick is bad. debiandoc2html should be corrected.
$(MANUAL).%.html: $(MANUAL).%.sgml
	debiandoc2html -l $* -c $<
	@echo "cleaning up file extensions";\
	for file in `ls $(MANUAL).$*.html/*` ; do\
	 newfile=`echo $$file|\
	          sed 's/$(shell echo $*|\
	      sed 'y/ABCDEFGHIJKLMNOPQRSTUVWXYZ_/abcdefghijklmnopqrstuvwxyz-/'\
	                  )\.html/$*\.html/'`;\
	 if [ $$file != $$newfile ] ; then\
	   mv $$file $$newfile;\
	 fi\
	done;   


#----[ generating plain text ]-------------------------------------------------
# for orig_lang
$(MANUAL).$(ORIG_LANG).txt: $(MANUAL).sgml
	debiandoc2text -l $(ORIG_LANG) -c $<

# for translated languages
$(MANUAL).%.txt: $(MANUAL).%.sgml
	debiandoc2text -l $* $<

#----[ generating tov ]--------------------------------------------------------
# for orig_lang
$(MANUAL).$(ORIG_LANG).tov: $(MANUAL).sgml
	debiandoc2textov -l $(ORIG_LANG) -c $<

# for translated languages
$(MANUAL).%.tov: $(MANUAL).%.sgml
	debiandoc2textov -l $* $<

#----[ generating info ]-------------------------------------------------------
# for orig_lang
$(MANUAL).$(ORIG_LANG).info: $(MANUAL).sgml
	debiandoc2info -l $(ORIG_LANG) -c $<

# for translated languages
$(MANUAL).%.info: $(MANUAL).%.sgml
	debiandoc2info -l $* $<

#----[ generating PostScript ]-------------------------------------------------
# for orig_lang
$(MANUAL).$(ORIG_LANG).ps: $(MANUAL).sgml
	debiandoc2latexps -l $(ORIG_LANG) -c $<

# for translated languages
$(MANUAL).%.ps: $(MANUAL).%.sgml
	debiandoc2latexps -l $* $<

#----[ generating PDF ]--------------------------------------------------------
# for orig_lang
$(MANUAL).$(ORIG_LANG).pdf: $(MANUAL).sgml
	debiandoc2latexpdf -l $(ORIG_LANG) -c $<

# for translated languages
$(MANUAL).%.pdf: $(MANUAL).%.sgml
	debiandoc2latexpdf -l $* $<

#====[ publishing to the DDP web pages ]=======================================
publish: publish-html publish-files

#----[ publish html ]----------------------------------------------------------
publish-html: $(HTMLDIRS)
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
	 # install any translated html
	$(foreach lang,$(LANGS),\
	  install -p -m 644 $(MANUAL).$(lang).html/*.html $(PUBLISHDIR)/$(MANUAL)/;)
	 # install original html
	 install -p -m 644 $(MANUAL).html/*.html \
	                   $(PUBLISHDIR)/$(MANUAL)/
	 # make the symlinks for html files
	 @$(foreach file,$(wildcard  $(MANUAL).html/*.html),\
	  name=`echo $(file) | sed 's/$(MANUAL).html\///'`; \
	  link=`echo $$name|sed 's/.$(ORIG_LANG).html$$/.html/'`;\
	  echo "$$link -> $$name";\
	  ln -sf $$name\
	        $(PUBLISHDIR)/$(MANUAL)/$$link;\
	 )

#----[ publish the files ]-----------------------------------------------------
publish-files: $(ALLFILES)
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	$(foreach ext,$(EXTS),\
	 rm -f $(PUBLISHDIR)/$(MANUAL)/*.$(ext);\
	 \
	 $(foreach lang,$(LANGS),\
	  install -p -m 644 $(MANUAL).$(lang).$(ext)\
	                    $(PUBLISHDIR)/$(MANUAL)/;)\
	 \
	 install -p -m 644 $(MANUAL).$(ORIG_LANG).$(ext)\
	                   $(PUBLISHDIR)/$(MANUAL)/;\
	 \
	 ln -sf $(MANUAL).$(ORIG_LANG).$(ext)\
               $(PUBLISHDIR)/$(MANUAL)/$(MANUAL).$(ext);\
	)


#----[ publish the ps ]--------------------------------------------------------
publish-ps: ps
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.ps
	 # install any translated ps
	$(foreach lang,$(LANGS),\
	  install -p -m 644 $(MANUAL).$(lang).ps \
	                    $(PUBLISHDIR)/$(MANUAL)/ ;)
	 # install original ps
	 install -p -m 644 $(MANUAL).$(ORIG_LANG).ps\
	                   $(PUBLISHDIR)/$(MANUAL)/
	 # make the symlinks for ps
	 ln -sf $(PUBLISHDIR)/$(MANUAL)/$(MANUAL).$(ORIG_LANG).ps\
               $(PUBLISHDIR)/$(MANUAL)/$(MANUAL).ps


#====[ validating SGML ]=======================================================
validate:
	set -x; for i in $(wildcard *.sgml); do nsgmls -ges -wall $$i; done

#====[ cleaning up ]===========================================================
clean distclean:
	rm -f debian-euro-support*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,sasp*} *~
	rm -rf debian-euro-support*.html

.PHONY: all html txt ps\
	publish publish-html publish-txt publish-ps\
	clean distclean validate

=== debian/changelog ===
euro-support (1.31) unstable; urgency=low

  * Fixed bashisms in /usr/bin/euro-test and also a little typo,
    thanks to Gian Piero Carruba (Closes: #278516)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 21 Nov 2004 12:05:26 +0100

euro-support (1.30) unstable; urgency=medium

  * Fixed typo in debian-euro-support.sgml which prevented compilation
    of the manual (Closes: #268071)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 26 Aug 2004 17:08:45 +0200

euro-support (1.29) unstable; urgency=low

  * Change copyright license of documents to GPL (Closes: #267906)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 25 Aug 2004 16:48:11 +0200

=== debian/control ===
Source: euro-support
Section: misc
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends-Indep: debhelper (>=4.1.16), gettext, debiandoc-sgml, tetex-bin, tetex-extra, texinfo
Standards-Version: 3.6.1

Package: euro-support
Architecture: all
Depends: gettext, debconf
Suggests: euro-support-console | euro-support-x
Description: Help setting up euro character support in your Debian system
 This package provides information on how to use the euro
 character in your Debian GNU/Linux system. Currently there
 is no automatic way to provide such support but configuration
 can be easily done following the guidelines in the 
 "Debian Euro HOWTO" document provided by this package.
 .
 The 'euro-test' script will tell you if your Debian system needs
 configuring in order to display the euro char.

Package: euro-support-x
Architecture: all
Depends: xfonts-base-transcoded, xfonts-75dpi-transcoded | xfonts-100dpi-transcoded, euro-support
Description: Help setting up euro character support in the X environment
 This package provides information on how to use the euro
 character in your Debian GNU/Linux system's X environment as well as
 dependencies that assure you have the needed software installed.
 .
 The 'euro-test' script will tell you if your Debian system needs
 configuring in order to display the euro char.

Package: euro-support-console
Architecture: all
Depends: console-data (>= 1999.08.29-11.1) | fonty, euro-support
Description: Help setting up euro character support in the system console
 This package provides information on how to use the euro
 character in your Debian GNU/Linux system's console environment as well as
 dependencies that assure you have the needed software installed.
 .
 The 'euro-test' script will tell you if your Debian system needs
 configuring in order to display the euro char.

## euro-support 1.33

=== debian/changelog ===
euro-support (1.33) unstable; urgency=low

  * Fix typo in manpage (Closes: #326512)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun,  4 Sep 2005 16:28:42 +0200

euro-support (1.32) unstable; urgency=low

  * Depend on "| debconf-2.0" as requested by Joey Hess
  * Build-Depend on debhelper as required by policy

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon,  8 Aug 2005 15:23:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: misc
 Priority: optional
 Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
+Build-Depends: debhelper (>=4.1.16)
 Build-Depends-Indep: debhelper (>=4.1.16), gettext, debiandoc-sgml, tetex-bin, tetex-extra, texinfo
 Standards-Version: 3.6.1
 
 Package: euro-support
 Architecture: all
-Depends: gettext, debconf
+Depends: gettext, debconf | debconf-2.0
 Suggests: euro-support-console | euro-support-x
 Description: Help setting up euro character support in your Debian system
  This package provides information on how to use the euro

## euro-support 1.34

=== debian/changelog ===
euro-support (1.34) unstable; urgency=high

  * Remove Depends: on transcoded xfonts, this is needed to remove
    those packages from testing (Closes: #372700)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 12 Jun 2006 08:05:57 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 Package: euro-support-x
 Architecture: all
-Depends: xfonts-base-transcoded, xfonts-75dpi-transcoded | xfonts-100dpi-transcoded, euro-support
+Depends: euro-support
 Description: Help setting up euro character support in the X environment
  This package provides information on how to use the euro
  character in your Debian GNU/Linux system's X environment as well as

## euro-support 1.35

=== debian/changelog ===
euro-support (1.35) unstable; urgency=low

  * The "It was time I took care of l10n here" release
    (although this package should be removed for etch+1 as we have moved for
     UTF-8 in the installation now)
  * Use debhelper compatibility version 4 (was about time)
  * Update Standards-Version, fix lintian warnings / errors:
    - do not use ISO-8859-1 in the euro-test.1 manpage
    - convert changelog to UTF-8
  * Remove the euro-support-x and euro-support-console packages, they were 
    really useless.
  * Update the spanish translation for euro-support
  * Fix documentation issues which also breaks upgrades (Closes: #373577, #375259)
  * Fix l10n intraestructure in euro-support with patch from Thomas Huriaux
    (Closes: #355572)
  * New translations:
    - Vietnamese, provided by Clytie Siddall  (Closes: #313594)
    - Italian, provided by Luca Monducci (Closes: #292764)
    - Swedish, provided by Daniel Nylander (Closes: #331341)
  [ manual/DOC/Makefile ]
  * Remove the generation of 'info' documentation (text, HTML and PDF should
    be enough for everybody)
  * Remove .tpt files when distcleaning

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 17 Oct 2006 00:27:19 +0200

## euro-support 1.36

=== debian/changelog ===
euro-support (1.36) unstable; urgency=low

  * Added French PO program translation contributed by Christian Perrier
    (Closes: #403019)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  2 Jan 2007 18:22:07 +0100

=== debian/control ===
Source: euro-support
Section: misc
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends: debhelper (>=4.1.16)
Build-Depends-Indep: debhelper (>=4.1.16), gettext, debiandoc-sgml, tetex-bin, tetex-extra, texinfo
Standards-Version: 3.7.2.2

Package: euro-support
Architecture: all
Depends: gettext, debconf | debconf-2.0
Suggests: euro-support-console | euro-support-x
Description: Help setting up euro character support in your Debian system
 This package provides information on how to use the euro
 character in your Debian GNU/Linux system. Currently there
 is no automatic way to provide such support but configuration
 can be easily done following the guidelines in the 
 "Debian Euro HOWTO" document provided by this package.
 .
 The 'euro-test' script will tell you if your Debian system needs
 configuring in order to display the euro char.

## euro-support 1.38

=== Makefile ===
DESTDIR=/
prefix=$(DESTDIR)/usr
bindir=$(prefix)/bin

DIRS=manual po

all:
	for dir in $(DIRS); do \
		make -C $$dir all ; \
	done

install:
	install -m 755 euro-test $(bindir)
	for dir in $(DIRS); do \
		make -C $$dir install ; \
	done

clean:
	for dir in $(DIRS); do \
		make -C $$dir clean ; \
	done

=== manual/Makefile ===
#
# Makefile for the Debian New Maintainers' Guide
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for  package build.

# this can and will be overriden by a higher level makefile
PUBLISHDIR := $(DESTDIR)/usr/share/doc/euro-support/

install: publish
all: sgml html txt ps pdf


# borrowed from the  java-common packages
sgml: DOC/debian-euro-support.sgml

update: 
	-cvs -d :pserver:anonymous@cvs.debian.org:/cvs/debian-doc -z3 checkout -d DOC ddp/manuals.sgml/euro-support/

DOC/debian-euro-support.sgml: 
	cvs -d :pserver:anonymous@cvs.debian.org:/cvs/debian-doc -z3 checkout -d DOC ddp/manuals.sgml/euro-support/

# generating HTML
txt text html: sgml
	cd DOC && make

publish: DOC/debian-euro-support.sgml
	cd DOC && make publish PUBLISHDIR=${PUBLISHDIR}

clean:
	cd DOC && make clean


#%.txt: %.sgml
#	debiandoc2text -l en $<

# generating PostScript
#ps: debian-euro-support.ps

#%.ps: %.sgml
#	debiandoc2latexps  -l en $<

#pdf: debian-euro-support.pdf
#%.pdf: %.ps
#	ps2pdf $< 

# publishing to the DDP web pages
#publish: all
#	test -d $(PUBLISHDIR)/ || install -d -m 755 $(PUBLISHDIR)/debian-euro-support
#	rm -f $(PUBLISHDIR)//*.html
#	mkdir $(PUBLISHDIR)//debian-euro-support.html/
#	install -p -m 644 *.html/*.html $(PUBLISHDIR)//debian-euro-support.html/
#	install -p -m 644 *.{txt,ps,sgml} $(PUBLISHDIR)/
#
## validating SGML
#validate:
	set -x; for i in $(wildcard *.sgml); do nsgmls -ges -wall $$i; done
#
# cleaning up
#clean:
#	rm -f *.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,sasp*} *~
#	rm -rf *.html 
#
#distclean:
#	rm -f debian-euro-support.sgml 
#

.PHONY: all publish clean distclean validate

=== po/Makefile ===

DOMAIN=euro-support

POFILES=$(wildcard *.po)
MOFILES=$(patsubst %.po,%.mo,$(POFILES))

all: $(MOFILES)

%.mo: $(DOMAIN).pot %.po
	msgfmt -o $@ $*.po

$(DOMAIN).pot: ../euro-test
	xgettext --default-domain=$(DOMAIN) \
	  --files-from=POTFILES -L Shell -o $(DOMAIN).pot

update-po: $(DOMAIN.pot)
	for po in $(POFILES); do \
	  msgmerge -U $$po $(DOMAIN).pot; \
	done;

install: $(MOFILES)
	-for lang in $(patsubst %.mo, %, $(MOFILES)); do \
	  install -d $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
	  install -m 644 $$lang.mo \
	    $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done;

clean: update-po
	- rm -f *.mo
	- rm -f *~

.PHONY: update-po

=== manual/DOC/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 #
 LANGS = fr it
 
-EXTS=txt info pdf
+EXTS=txt pdf
 ##### END OF CONF PART CHANGE THE END AT YOU OWN RISK
 
 # what will be built
@@ -64,7 +64,7 @@
 	                  )\.html/$*\.html/'`;\
 	 if [ $$file != $$newfile ] ; then\
 	   mv $$file $$newfile;\
-	 fi\
+	 fi;\
 	done;   
 
 
@@ -178,7 +178,7 @@
 
 #====[ cleaning up ]===========================================================
 clean distclean:
-	rm -f debian-euro-support*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,sasp*} *~
+	rm -f debian-euro-support*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,tpt,sasp*} *~
 	rm -rf debian-euro-support*.html
 
 .PHONY: all html txt ps\

=== debian/changelog ===
euro-support (1.38) unstable; urgency=low

  * Translation changes:
     - Add a proper PO header to both the German and Russian po-debconf
     translations to prevent msgftm from failing.
     - Added Galician translation, provided by Jacobo Tarrio (Closes: #412672)
     - Added Portuguese, provided by Miguel Figueiredo (Closes: #413932)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 13 Mar 2007 16:40:56 +0100

euro-support (1.37) unstable; urgency=low

  * Remove suggests: of old packages (Closes: #408924) 

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 29 Jan 2007 11:58:39 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
 Package: euro-support
 Architecture: all
 Depends: gettext, debconf | debconf-2.0
-Suggests: euro-support-console | euro-support-x
 Description: Help setting up euro character support in your Debian system
  This package provides information on how to use the euro
  character in your Debian GNU/Linux system. Currently there

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=1
+export DH_COMPAT=4
 
 build: build-stamp
 build-stamp:
@@ -34,8 +34,8 @@
 	dh_clean -k
 	dh_installdirs
 
-	# Add here commands to install the package into debian/tmp.
-	$(MAKE) install DESTDIR=`pwd`/debian/tmp
+	# Add here commands to install the package into debian/euro-support
+	$(MAKE) install DESTDIR=`pwd`/debian/euro-support
 
 
 # Build architecture-independent files here.
@@ -51,7 +51,7 @@
 	dh_installdocs
 	dh_installexamples characters
 	dh_installmenu
-	dh_installmanpages -peuro-support
+	dh_installman -peuro-support debian/euro-test.1 debian/euro-test.fr.1
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs
